"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const dropReadModel = async (pool, readModelName) => {
  const {
    executeStatement,
    escapeId,
    schemaName,
    escapeStr
  } = pool;
  const rows = await executeStatement(pool, `SELECT ${escapeId('CLS')}.${escapeId('relname')} AS ${escapeId('tableName')}
    FROM ${escapeId('pg_catalog')}.${escapeId('pg_class')} ${escapeId('CLS')}
    LEFT JOIN ${escapeId('pg_catalog')}.${escapeId('pg_description')} ${escapeId('DESC')}
    ON ${escapeId('CLS')}.${escapeId('oid')} = ${escapeId('DESC')}.${escapeId('objoid')}
    LEFT JOIN ${escapeId('pg_catalog')}.${escapeId('pg_namespace')} ${escapeId('NS')}
    ON ${escapeId('CLS')}.${escapeId('relnamespace')} = ${escapeId('NS')}.${escapeId('oid')}
    WHERE ${escapeId('DESC')}.${escapeId('description')} = ${escapeStr(`RESOLVE-${readModelName}`)}
    AND ${escapeId('NS')}.${escapeId('nspname')} = ${escapeStr(schemaName)}
    AND ${escapeId('CLS')}.${escapeId('relkind')} = ${escapeStr('r')}
    ;`);

  for (const {
    tableName
  } of rows) {
    await executeStatement(pool, `DROP TABLE ${escapeId(schemaName)}.${escapeId(tableName)};`);
  }
};

var _default = dropReadModel;
exports.default = _default;
//# sourceMappingURL=drop-read-model.js.map